Package ghidra.app.util.bin.format.pe.cli.tables

# Enum Class CliTypeTable

java.lang.Object
java.lang.Enum<CliTypeTable>
ghidra.app.util.bin.format.pe.cli.tables.CliTypeTable

All Implemented Interfaces:
  `Serializable`, `Comparable<CliTypeTable>`, `Constable`

public enum CliTypeTable extends Enum<CliTypeTable>
Possible Metadata table types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Assembly`
  `AssemblyOS`
  `AssemblyProcessor`
  `AssemblyRef`
  `AssemblyRefOS`
  `AssemblyRefProcessor`
  `ClassLayout`
  `Constant`
  `CustomAttribute`
  `DeclSecurity`
  `Event`
  `EventMap`
  `ExportedType`
  `Field`
  `FieldLayout`
  `FieldMarshal`
  `FieldRVA`
  `File`
  `GenericParam`
  `GenericParamConstraint`
  `ImplMap`
  `InterfaceImpl`
  `ManifestResource`
  `MemberRef`
  `MethodDef`
  `MethodImpl`
  `MethodSemantics`
  `MethodSpec`
  `Module`
  `ModuleRef`
  `NestedClass`
  `Param`
  `Property`
  `PropertyMap`
  `StandAloneSig`
  `TypeDef`
  `TypeRef`
  `TypeSpec`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CliTypeTable`
  `fromId(int id)`
  Gets a table type from the given ID.
  `int`
  `id()`
  Gets the ID associated with this table type.
  `static CliTypeTable`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CliTypeTable[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Module

    public static final CliTypeTable Module

  - ### TypeRef

    public static final CliTypeTable TypeRef

  - ### TypeDef

    public static final CliTypeTable TypeDef

  - ### Field

    public static final CliTypeTable Field

  - ### MethodDef

    public static final CliTypeTable MethodDef

  - ### Param

    public static final CliTypeTable Param

  - ### InterfaceImpl

    public static final CliTypeTable InterfaceImpl

  - ### MemberRef

    public static final CliTypeTable MemberRef

  - ### Constant

    public static final CliTypeTable Constant

  - ### CustomAttribute

    public static final CliTypeTable CustomAttribute

  - ### FieldMarshal

    public static final CliTypeTable FieldMarshal

  - ### DeclSecurity

    public static final CliTypeTable DeclSecurity

  - ### ClassLayout

    public static final CliTypeTable ClassLayout

  - ### FieldLayout

    public static final CliTypeTable FieldLayout

  - ### StandAloneSig

    public static final CliTypeTable StandAloneSig

  - ### EventMap

    public static final CliTypeTable EventMap

  - ### Event

    public static final CliTypeTable Event

  - ### PropertyMap

    public static final CliTypeTable PropertyMap

  - ### Property

    public static final CliTypeTable Property

  - ### MethodSemantics

    public static final CliTypeTable MethodSemantics

  - ### MethodImpl

    public static final CliTypeTable MethodImpl

  - ### ModuleRef

    public static final CliTypeTable ModuleRef

  - ### TypeSpec

    public static final CliTypeTable TypeSpec

  - ### ImplMap

    public static final CliTypeTable ImplMap

  - ### FieldRVA

    public static final CliTypeTable FieldRVA

  - ### Assembly

    public static final CliTypeTable Assembly

  - ### AssemblyProcessor

    public static final CliTypeTable AssemblyProcessor

  - ### AssemblyOS

    public static final CliTypeTable AssemblyOS

  - ### AssemblyRef

    public static final CliTypeTable AssemblyRef

  - ### AssemblyRefProcessor

    public static final CliTypeTable AssemblyRefProcessor

  - ### AssemblyRefOS

    public static final CliTypeTable AssemblyRefOS

  - ### File

    public static final CliTypeTable File

  - ### ExportedType

    public static final CliTypeTable ExportedType

  - ### ManifestResource

    public static final CliTypeTable ManifestResource

  - ### NestedClass

    public static final CliTypeTable NestedClass

  - ### GenericParam

    public static final CliTypeTable GenericParam

  - ### MethodSpec

    public static final CliTypeTable MethodSpec

  - ### GenericParamConstraint

    public static final CliTypeTable GenericParamConstraint

- ## Method Details

  - ### values

    public static CliTypeTable[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CliTypeTable valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### id

    public int id()
    Gets the ID associated with this table type.
    Returns:
      The ID associated with this table type.

  - ### fromId

    public static CliTypeTable fromId(int id)
    Gets a table type from the given ID.
    Parameters:
      `id` - The ID of the table type to get.
    Returns:
      A table type with the given ID, or null if one doesn't exist.